w = [0.0073 0.10556 0.00002 0.04395 0.34001 0.24566 0.25750];
m = [-10.12999 -3.97281 -8.56686 2.77786 0.61942 1.79518 -1.08819]-1.2704;
sigmasq = [5.79596 2.61369 5.17950 0.16735 0.64009 0.34023 1.26261];

fprob = cumsum(w);

fprob = fprob / fprob(end);

phi = 0.98;
sigmasqv = 0.1;

n = 3000;
logsigmasq = zeros(1, n);
data = zeros(1, n);
datatrans = zeros(1, n);
logsigmasq(1) = 0.1;
counter = 1;
u = rand;
while ( u > fprob(counter) )
    counter = counter + 1;
end
err = m(counter) + sqrt(sigmasq(counter)) * randn;
datatrans(1) = logsigmasq(1) + err;
data(1) = exp(datatrans(1)/2);
s(1)=counter;
for i = 2:n
    logsigmasq(i) = phi * logsigmasq(i - 1) + sqrt(sigmasqv) * randn;
    counter = 1;
    u = rand;
    while ( u > fprob(counter) )
        counter = counter + 1;
    end
    s(i)=counter;
    err = m(counter) + sqrt(sigmasq(counter)) * randn;
    datatrans(i) = logsigmasq(i) + err;
    data(i) = exp(datatrans(i)/2);
end
