function p = tnormpdf(x,mu,sigma,a,b)
%%% PDF of a truncated normal in (a,b)%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Input arguments:
%%% mu:    mean, 
%%% sigma: st. deviation,
%%% a,b:   lower and upper truncation bound.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

p=normpdf((x-mu)/sigma,0,1);
p=p/(sigma*(normcdf((b-mu)/sigma,0,1)-normcdf((a-mu)/sigma,0,1)));