function x = truncatednormal(n,mu0,sigma1,a,b)
%%% Generate random numbers from a truncated normal distribution %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Input Arguments:
%%% n:      number of generated random number,
%%% mu0:    mean of the distribution,
%%% sigma1: st. deviation of the distribution,
%%% a,b:    lower and upper truncation bound.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x=zeros(n,1);
i=0;
while n~=i
    k=normrnd(mu0,sigma1);
    if (a<=k)&&(k<=b)
        x(i+1)=k;
        i=i+1;
    end
end