function [medianx, LCI, UCI ] = results( x )
%%RESULTS Calculates the posterior summery for the draws x
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%Input Arguments:
%%x: a vector where the draws of parameter x were stored.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%Ouput Arguments:
%%medianx: posterior median,
%%LCI:     lower bound of the 95%CI,
%%UCI:     upper bound of the 95%CI.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

medianx = median(x);
disp(['the posterior median is=' num2str(medianx)])

LCI = quantile(x,0.025);
disp(['the lower bound of the 95% CI is=' num2str(LCI)])

UCI = quantile(x,0.975);
disp(['the upper bound of the 95% CI is=' num2str(UCI)])


end

